[MERGED] osmo-gsm-manuals[master]: Improve error message when libosmocom directory cannot be fo...

Harald Welte gerrit-no-reply at lists.osmocom.org
Fri Feb 16 17:53:30 UTC 2018


Harald Welte has submitted this change and it was merged.

Change subject: Improve error message when libosmocom directory cannot be found.
......................................................................


Improve error message when libosmocom directory cannot be found.

The rules in build/Makefile.vty-reference.inc require a libosmocore
source tree. Make the top-level Makefile check that LIBOSMO_DIR is
set to a valid directory before running the build.

This transforms an obscure build error into:

Directory '~/source/gsm/libosmocore' not found, please set LIBOSMO_DIR to
the path of your libosmocom source tree: make LIBOSMO_DIR=/path/to/libosmocore
Makefile:80: recipe for target 'check-deps' failed

Change-Id: Ic201373df115bb6f8c9a2bc30d18ff4c2a660deb
Related: OS#2787
---
M Makefile
1 file changed, 6 insertions(+), 0 deletions(-)

Approvals:
  Harald Welte: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/Makefile b/Makefile
index 1fd0733..45fe129 100644
--- a/Makefile
+++ b/Makefile
@@ -1,3 +1,5 @@
+LIBOSMO_DIR ?= ~/source/gsm/libosmocore
+
 all: check-deps
 	cd OsmoBTS; $(MAKE)
 	cd OsmoNITB; $(MAKE)
@@ -70,6 +72,9 @@
 define check_dep_python2_module
     @echo "import $(1)" | python2 - >/dev/null 2>&1 || { echo >&2 "Failed to import '$(1)' module, please install $(2)."; exit 1; }
 endef
+define check_dep_dir
+	@test -d $(1) || { echo >&2 "Directory '$(1)' not found, please set $(2) to the path of your libosmocom source tree: make LIBOSMO_DIR=/path/to/libosmocore"; exit 1; }
+endef
 
 check-deps:
 	$(call check_dep_bin,mscgen,mscgen)
@@ -82,3 +87,4 @@
 	$(call check_dep_bin,dot,graphviz)
 	$(call check_dep_bin,python2,python2)
 	$(call check_dep_python2_module,pychart,python2-pychart)
+	$(call check_dep_dir,$(LIBOSMO_DIR),LIBOSMO_DIR)

-- 
To view, visit https://gerrit.osmocom.org/6523
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: merged
Gerrit-Change-Id: Ic201373df115bb6f8c9a2bc30d18ff4c2a660deb
Gerrit-PatchSet: 1
Gerrit-Project: osmo-gsm-manuals
Gerrit-Branch: master
Gerrit-Owner: Stefan Sperling <ssperling at sysmocom.de>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Jenkins Builder


More information about the gerrit-log mailing list